Anonymous Login
2019-04-25 03:11 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001154v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporterproject_manager 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001154: "When I create a new project, it is sending the wrong email message" with bug fix
Descriptionsee problem description and bug fix here:

http://forums.web2project.net/viewtopic.php?p=15493#15493
Additional InformationThe variable $isNotNew is not correctly initialized due to code bugs.

This problem appears in all versions from w2p.v2.3.1, 2.4 and 3.x.

The bug fix can be applied to all versions with 2 minor changes.

change in modules/projects/addedit.php:

Code:
$project_id = (int) w2PgetParam($_GET, 'project_id', 0);
//---------------------------------------------------------
// if $project_id = 0 ---> new created project (submitted), otherwise project already exists and can only be updated!
// if new created project: $isNotNew = 0
// if not new: $isNotNew = 1
$AppUI->isNotNew = ($project_id == 0) ? 0 : 1;
//---------------------------------------------------------
$company_id = (int) w2PgetParam($_GET, 'company_id', $AppUI->user_company);


change in modules/projects/do_project_aed.php:

Code:
//$notfiyTrigger = ($del) ? 1 : $obj->project_id;
  $notfiyTrigger = $AppUI->isNotNew;


Enclosed the file versions for w2p.v.3.x (see forum post)

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002567

project_manager (reporter)

checked this with latest w2p.3.x-2470: same issue!

~0002610

caseydk (administrator)

Resolved, patch available here:
https://github.com/caseysoftware/web2project/pull/120
+Notes

-Issue History
Date Modified Username Field Change
2012-06-24 15:09 project_manager New Issue
2012-06-30 08:03 project_manager Note Added: 0002567
2012-07-12 21:21 caseydk Status new => assigned
2012-07-12 21:21 caseydk Assigned To => caseydk
2012-07-29 19:08 caseydk Note Added: 0002610
2012-07-29 19:08 caseydk Status assigned => resolved
2012-07-29 19:08 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History